#include<stdio.h>
#include <algorithm> 
using namespace std;
int main(){
	long long N,K;
	scanf("%lld%lld",&N,&K);
	long long a[N],b[N];
	int i=0,j=0,g=0,x;
	for(i=0;i<N;i++)scanf("%lld",&a[i]);
	if(K==1){
		printf("%d\n",N);
		for(i=0;i<N;i++)printf("%lld ",a[i]);
	}
	else{
	sort(a,a+N);
	x=a[0];
	for(i=1;i<N;i++){
		j=1;
		while(j!=K){
			if(x!=a[i]){
				x=a[i];
				break;
				}
			else {
			x=a[i];
			j++;
			i++;
		}
		}
		if(j==K){
			b[g]=a[i-1];
			g++;
			int p=a[i-1];
			while(p==a[i])i++;
			i--;
		}
	}
	printf("%d\n",g);
	for(i=0;i<g;i++)printf("%lld ",b[i]);
}
	return 0;
}